<tr class="rule ui-sortable-handle">
	<td class="sort"></td>
	<td>
		<select name="product_id[]" class="ph_booking_product_id">
			<?php 
			$args = array(
		            'limit' => '99999',
		            'orderby' => 'date',
		            'order' => 'DESC',
	        );

	        $all_product =wc_get_products($args);

	        foreach ($all_product as $key => $product) {
	        	$product_type = $product->get_type();
 		 		if( $product_type != 'phive_booking' )	continue;
	                $product_id = $product->get_id();
	                $product_name = '#'.$product_id.' - '.$product->get_name();
	        ?>
			<option value="<?php echo $product_id;?>" <?php echo ( isset($rule['product_id'] ) && $rule['product_id']==$product_id) ? 'selected="selected"' : '';?>><?php echo $product_name;?></option>
			<?php }?>
		</select>
	</td>
	<td>
		<select name="range_type[]" class="ph_booking_range_type">
			<option value="custom" <?php echo ( isset($rule['range_type'] ) && $rule['range_type']=='custom' ) ? 'selected="selected"' : '';?> ><?php _e('Custom date range','bookings-and-appointments-for-woocommerce')?></option>
			<option value="months"<?php echo ( isset($rule['range_type'] ) && $rule['range_type']=='months') ? 'selected="selected"' : '';?>><?php _e('Range of months','bookings-and-appointments-for-woocommerce')?></option>
			<option value="days" <?php echo ( isset($rule['range_type'] ) && $rule['range_type']=='days') ? 'selected="selected"' : '';?>><?php _e('Range of days','bookings-and-appointments-for-woocommerce')?></option>
		</select>
	</td>
	<td>
		<div class="availability_by_date" style="display: <?php echo ( isset($rule['range_type'] ) && $rule['range_type']=='custom' ) || empty($rule['range_type']) ? 'block;' : 'none;';?>">
			<input type="text" class="availability_date_picker ph_booking_interval_from_date"  value="<?php echo isset($rule['from_date']) ? $rule['from_date'] : '';?>" style="width: 100px;" >
			<input type="hidden" class="ph_booking_interval_from_date" name="from_date[]" value="<?php echo isset($rule['from_date']) ? $rule['from_date'] : '';?>">
			<br>
			<input type="time" class="ph_booking_from_time" name="from_time[]" value="<?php echo isset($rule['from_time']) ? $rule['from_time'] : '';?>">
		</div>
		<div class="select availability_by_month" style="display: <?php echo ( isset($rule['range_type'] ) && $rule['range_type']=='months' ) ? 'block;' : 'none;';?>">
			<select name="from_month[]">
				<option value="0" <?php echo (isset($rule['from_month']) && $rule['from_month']=='0') ? 'selected="selected"' : '';?> ><?php _e('January','bookings-and-appointments-for-woocommerce')?></option>
				<option value="1" <?php echo (isset($rule['from_month']) && $rule['from_month']=='1') ? 'selected="selected"' : '';?> ><?php _e('Febuary','bookings-and-appointments-for-woocommerce')?></option>
				<option value="2" <?php echo (isset($rule['from_month']) && $rule['from_month']=='2') ? 'selected="selected"' : '';?> ><?php _e('March','bookings-and-appointments-for-woocommerce')?></option>
				<option value="3" <?php echo (isset($rule['from_month']) && $rule['from_month']=='3') ? 'selected="selected"' : '';?> ><?php _e('April','bookings-and-appointments-for-woocommerce')?></option>
				<option value="4" <?php echo (isset($rule['from_month']) && $rule['from_month']=='4') ? 'selected="selected"' : '';?> ><?php _e('May','bookings-and-appointments-for-woocommerce')?></option>
				<option value="5" <?php echo (isset($rule['from_month']) && $rule['from_month']=='5') ? 'selected="selected"' : '';?> ><?php _e('June','bookings-and-appointments-for-woocommerce')?></option>
				<option value="6" <?php echo (isset($rule['from_month']) && $rule['from_month']=='6') ? 'selected="selected"' : '';?> ><?php _e('July','bookings-and-appointments-for-woocommerce')?></option>
				<option value="7" <?php echo (isset($rule['from_month']) && $rule['from_month']=='7') ? 'selected="selected"' : '';?> ><?php _e('August','bookings-and-appointments-for-woocommerce')?></option>
				<option value="8" <?php echo (isset($rule['from_month']) && $rule['from_month']=='8') ? 'selected="selected"' : '';?> ><?php _e('September','bookings-and-appointments-for-woocommerce')?></option>
				<option value="9" <?php echo (isset($rule['from_month']) && $rule['from_month']=='9') ? 'selected="selected"' : '';?> ><?php _e('October','bookings-and-appointments-for-woocommerce')?></option>
				<option value="10" <?php echo (isset($rule['from_month']) && $rule['from_month']=='10') ? 'selected="selected"' : '';?> ><?php _e('November','bookings-and-appointments-for-woocommerce')?></option>
				<option value="11" <?php echo (isset($rule['from_month']) && $rule['from_month']=='11') ? 'selected="selected"' : '';?> ><?php _e('December','bookings-and-appointments-for-woocommerce')?></option>
			</select>
		</div>
		<div class="select availability_by_week_days" style="display: <?php echo ( isset($rule['range_type'] ) && $rule['range_type']=='days' ) ? 'block;' : 'none;';?>">
			<select name="from_day[]">
				<option value="1" <?php echo (isset($rule['from_day']) && $rule['from_day']=='1') ? 'selected="selected"' : '';?> ><?php _e('Monday','bookings-and-appointments-for-woocommerce')?></option>
				<option value="2" <?php echo (isset($rule['from_day']) && $rule['from_day']=='2') ? 'selected="selected"' : '';?> ><?php _e('Tuesday','bookings-and-appointments-for-woocommerce')?></option>
				<option value="3" <?php echo (isset($rule['from_day']) && $rule['from_day']=='3') ? 'selected="selected"' : '';?> ><?php _e('Wednesday','bookings-and-appointments-for-woocommerce')?></option>
				<option value="4" <?php echo (isset($rule['from_day']) && $rule['from_day']=='4') ? 'selected="selected"' : '';?> ><?php _e('Thursday','bookings-and-appointments-for-woocommerce')?></option>
				<option value="5" <?php echo (isset($rule['from_day']) && $rule['from_day']=='5') ? 'selected="selected"' : '';?> ><?php _e('Friday','bookings-and-appointments-for-woocommerce')?></option>
				<option value="6" <?php echo (isset($rule['from_day']) && $rule['from_day']=='6') ? 'selected="selected"' : '';?> ><?php _e('Saturday','bookings-and-appointments-for-woocommerce')?></option>
				<option value="7" <?php echo (isset($rule['from_day']) && $rule['from_day']=='7') ? 'selected="selected"' : '';?> ><?php _e('Sunday','bookings-and-appointments-for-woocommerce')?></option>
			</select>
		</div>
	</td>
	<td>
		<div class="availability_by_date" style="display: <?php echo ( isset($rule['range_type'] ) && $rule['range_type']=='custom' ) || empty($rule['range_type']) ? 'block;' : 'none;';?>">
			<?php
			// if(isset($rule['to_date'])){
			// 	$to_date_rule = explode(" ",$rule['to_date']);
			// 	$availability_to_date = $to_date_rule[0];
			// 	$availability_to_time = !empty($to_date_rule[1])?$to_date_rule[1]:'';
			// }
			 ?>
			
			<input type="text"  class="availability_date_picker ph_booking_interval_to_date"  value="<?php echo isset($rule['to_date']) ? $rule['to_date'] : '';?>" style="width: 100px;" >
			<input type="hidden" class="ph_booking_interval_to_date" name="to_date[]" value="<?php echo isset($rule['to_date']) ? $rule['to_date'] : '';?>">
			<br>
			<input type="time" class="ph_booking_to_time" name="to_time[]" value="<?php echo isset($rule['to_time']) ? $rule['to_time'] : '';?>">

		</div>
		<div class="select availability_by_month" style="display: <?php echo ( isset($rule['range_type'] ) && $rule['range_type']=='months' ) ? 'block;' : 'none;';?>">
			<select name="to_month[]">
				<option value="0" <?php echo (isset($rule['to_month']) && $rule['to_month']=='0') ? 'selected="selected"' : '';?> ><?php _e('January','bookings-and-appointments-for-woocommerce')?></option>
				<option value="1" <?php echo (isset($rule['to_month']) && $rule['to_month']=='1') ? 'selected="selected"' : '';?> ><?php _e('Febuary','bookings-and-appointments-for-woocommerce')?></option>
				<option value="2" <?php echo (isset($rule['to_month']) && $rule['to_month']=='2') ? 'selected="selected"' : '';?> ><?php _e('March','bookings-and-appointments-for-woocommerce')?></option>
				<option value="3" <?php echo (isset($rule['to_month']) && $rule['to_month']=='3') ? 'selected="selected"' : '';?> ><?php _e('April','bookings-and-appointments-for-woocommerce')?></option>
				<option value="4" <?php echo (isset($rule['to_month']) && $rule['to_month']=='4') ? 'selected="selected"' : '';?> ><?php _e('May','bookings-and-appointments-for-woocommerce')?></option>
				<option value="5" <?php echo (isset($rule['to_month']) && $rule['to_month']=='5') ? 'selected="selected"' : '';?> ><?php _e('June','bookings-and-appointments-for-woocommerce')?></option>
				<option value="6" <?php echo (isset($rule['to_month']) && $rule['to_month']=='6') ? 'selected="selected"' : '';?> ><?php _e('July','bookings-and-appointments-for-woocommerce')?></option>
				<option value="7" <?php echo (isset($rule['to_month']) && $rule['to_month']=='7') ? 'selected="selected"' : '';?> ><?php _e('August','bookings-and-appointments-for-woocommerce')?></option>
				<option value="8" <?php echo (isset($rule['to_month']) && $rule['to_month']=='8') ? 'selected="selected"' : '';?> ><?php _e('September','bookings-and-appointments-for-woocommerce')?></option>
				<option value="9" <?php echo (isset($rule['to_month']) && $rule['to_month']=='9') ? 'selected="selected"' : '';?> ><?php _e('October','bookings-and-appointments-for-woocommerce')?></option>
				<option value="10" <?php echo (isset($rule['to_month']) && $rule['to_month']=='10') ? 'selected="selected"' : '';?> ><?php _e('November','bookings-and-appointments-for-woocommerce')?></option>
				<option value="11" <?php echo (isset($rule['to_month']) && $rule['to_month']=='11') ? 'selected="selected"' : '';?> ><?php _e('December','bookings-and-appointments-for-woocommerce')?></option>
			</select>
		</div>
		<div class="select availability_by_week_days" style="display: <?php echo ( isset($rule['range_type'] ) && $rule['range_type']=='days' ) ? 'block;' : 'none;';?>">
			<select name="to_day[]">
				<option value="1" <?php echo (isset($rule['to_day']) && $rule['to_day']=='1') ? 'selected="selected"' : '';?> ><?php _e('Monday','bookings-and-appointments-for-woocommerce')?></option>
				<option value="2" <?php echo (isset($rule['to_day']) && $rule['to_day']=='2') ? 'selected="selected"' : '';?> ><?php _e('Tuesday','bookings-and-appointments-for-woocommerce')?></option>
				<option value="3" <?php echo (isset($rule['to_day']) && $rule['to_day']=='3') ? 'selected="selected"' : '';?> ><?php _e('Wednesday','bookings-and-appointments-for-woocommerce')?></option>
				<option value="4" <?php echo (isset($rule['to_day']) && $rule['to_day']=='4') ? 'selected="selected"' : '';?> ><?php _e('Thursday','bookings-and-appointments-for-woocommerce')?></option>
				<option value="5" <?php echo (isset($rule['to_day']) && $rule['to_day']=='5') ? 'selected="selected"' : '';?> ><?php _e('Friday','bookings-and-appointments-for-woocommerce')?></option>
				<option value="6" <?php echo (isset($rule['to_day']) && $rule['to_day']=='6') ? 'selected="selected"' : '';?> ><?php _e('Saturday','bookings-and-appointments-for-woocommerce')?></option>
				<option value="7" <?php echo (isset($rule['to_day']) && $rule['to_day']=='7') ? 'selected="selected"' : '';?> ><?php _e('Sunday','bookings-and-appointments-for-woocommerce')?></option>
			</select>
		</div>
	</td>
	<td>
			<input type="text" class="ph_max_booking" name="max_booking[]" value="<?php echo isset($rule['max_booking']) ? $rule['max_booking'] : '';?>">
	</td>
	<td class="remove">
		<a class="close">x</a>
	</td>
</tr>
