<div id='booking_availability' class='panel woocommerce_options_panel'>
	
	<?php

		$rules = get_option(PH_MAX_BOOKINGS_SETTING_ID,false);
	?>

	<div class="ph-availability-section" id="availability_wraper">
		
		<form method="post" name="interval">
			<h2>Customise Maximum Bookings Per Slot</h2>
			<table class="ph_availability_table wc_input_table sortable" cellspacing="0" name="availability_rules_table">
				<thead>
					<tr>
						<th class="sort">&nbsp;</th>
						<th><?php _e('Product ID/Name','bookings-and-appointments-for-woocommerce')?></th>
						<th><?php _e('Time Range Type','bookings-and-appointments-for-woocommerce')?></th>
						<th><?php _e('From','bookings-and-appointments-for-woocommerce')?></th>
						<th><?php _e('To','bookings-and-appointments-for-woocommerce')?></th>
						<th><?php _e('Maximum Bookings Count','bookings-and-appointments-for-woocommerce')?></th>
						<th></th>
					</tr>
				</thead>
				<tbody class="rules ui-sortable">
					<?php
					$i=0;
					if(!empty($rules))
					{
						foreach ($rules as $key => $rule) {
							if( !empty($rule['range_type']) ){
								include("html-ph-booking-max-bookings-rule-matrix-row.php");
							}
						}
					}
					?>
					</tr>
				</tbody>
				<tfoot>
					<tr>
						<th colspan="10"><a href="#" class="add_rule button" style="float:left;">+ <?php _e('Add','bookings-and-appointments-for-woocommerce')?></a></th>
					</tr>
					<tr>
						<th colspan="10"><button type="submit" name="ph_booking_customize_maximum_booking_per_slot"><?php _e('Save Changes','bookings-and-appointments-for-woocommerce')?></button></th>
					</tr>
				</tfoot>
			</table>
		<form>
	</div>
	
</div>
<script type="text/javascript">

jQuery(function($) {
	jQuery('#availability_wraper').on('change','.ph_booking_interval_from_date,.ph_booking_interval_to_date',function(){
		var row   = $(this).closest('tr');
		$(row).css('border','1px solid #f00');
		var from_datepicker = $(row).find('.ph_booking_interval_from_date').val();
		var to_datepicker = $(row).find('.ph_booking_interval_to_date').val();
		$(row).find('.ph_booking_interval_from_date').val(from_datepicker);
		$(row).find('.ph_booking_interval_to_date').val(to_datepicker);
	});
	jQuery('#availability_wraper').on('change','.ph_booking_range_type', function(){	
		var value = $(this).val();
		var row   = $(this).closest('tr');
		$(row).css('border','1px solid #f00');

		$(row).find('.availability_by_week_days, .availability_by_month, .availability_by_date, .availability_by_time').hide();

		if ( value == 'custom' ) {
			$(row).find('.availability_by_date').show();
		}
		if ( value == 'months' ) {
			$(row).find('.availability_by_month').show();
		}
		if ( value == 'days' ) {
			$(row).find('.availability_by_week_days').show();
		}
		if ( value.match( "^time" ) ) {
			$(row).find('.availability_by_time').show();
		}
	});
	jQuery('#availability_wraper').on( 'click', 'a.add_rule', function(){

		$(".availability_date_picker").datepicker("destroy");
		jQuery(`<?php $rule=""; include("html-ph-booking-max-bookings-rule-matrix-row.php")?>`).appendTo('#availability_wraper table tbody');
		jQuery( ".availability_date_picker" ).datepicker({
			showOtherMonths: true,
			selectOtherMonths: true,
			dateFormat: 'yy-mm-dd',
		});
		if( (jQuery("#_phive_book_interval_period").val() == 'minute') || (jQuery("#_phive_book_interval_period").val() == 'hour') ){
			jQuery('.availability_time_picker_field').show();

		}
		else{
			jQuery('.availability_time_picker_field').hide();

		}
		return false;
	});
});
</script>
